package info.bukova.isspst.ui.reqsubjects;

import java.util.ArrayList;
import java.util.List;

import org.zkoss.bind.annotation.Init;
import org.zkoss.zk.ui.select.annotation.WireVariable;

import info.bukova.isspst.data.MUnit;
import info.bukova.isspst.data.MUnitEmb;
import info.bukova.isspst.data.Material;
import info.bukova.isspst.services.munits.MUnitService;
import info.bukova.isspst.ui.FormViewModel;

public class MaterialForm extends FormViewModel<Material> {
	
	@WireVariable
	private MUnitService munitService;
	private List<MUnitEmb> munits;
	
	@Init(superclass = true)
	public void init() {
		List<MUnit> mu = munitService.getAll();
		munits = new ArrayList<MUnitEmb>();
		for (MUnit m : mu) {
			MUnitEmb muEmb = new MUnitEmb(m); 
			munits.add(muEmb);
		}
	}

	public List<MUnitEmb> getMunits() {
		return munits;
	}

}
